summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2011-02-24 13:55:22 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2011-02-24 13:55:22 +0200
commit70dc97d9de304d798029ea093fab0ff6308e110c (patch)
treea5bf71b1f1446e1e35559e2fbb2491cf5837cb74
parent4affe37f5247599014338d48e2ee2b684eaedd69 (diff)
Add checkout script
-rwxr-xr-xgit/checkout.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/git/checkout.sh b/git/checkout.sh
new file mode 100755
index 0000000..c8adf54
--- /dev/null
+++ b/git/checkout.sh
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+# Assume this script never run via PATH.
+#
+self=`realpath $0`
+. `dirname $self`/modules
+
+wd=`pwd`
+
+if [ "$1" = "" ]; then
+ echo "branch name expected" 1>&2
+ exit 1
+fi
+
+for i in $odb_modules; do
+ echo "checkout $i" 1>&2
+ cd $i
+ git checkout $*
+ cd $wd
+done